Subject: [Sip] Handling MESSAGE with in dialog

From: lakshmi <[email-masked]>
Date: Tue, 24 Feb 2009 10:27:36 +0530

Hi,

We are enhancing SIP stack with MESSAGE method.  According to the 
MESSAGE method spec 3428, handling MESSAGE receive/send outside the 
dialog is clear. But 3428 is not clear in handling MESSAGE within the 
session. We are not clear about  the constraints like on which states 
MESSAGE events like receive/send MESSAGE must be allowed. Kindly clarify 
how to handle MESSAGE with in session/dialog.

 Regards,
-Lakshmi